# [BETA] Restore volume snapshot

```http
POST /compute/v1/tenants/{tenantId}/volumes/{volumeId}/snapshots/{snapshotId}/restore
```

Base URL: `https://api-portal.aur.lu/api`

Operation ID: `RestoreVolumeSnapshot`

Authentication: ApiKeyAuth (API key in header `X-Api-Key`)

Required permission: `restore:compute:snapshots`

Reverts a volume to the state captured by the given snapshot. The VM to which the volume is attached must be stopped before performing this operation.

## Parameters

### Path parameters

- `tenantId` (string, required) — Tenant ID
- `volumeId` (string, required) — Volume ID
- `snapshotId` (string, required) — Snapshot ID

## Responses

### 200 — OK

Content type: `application/json`

- `id` (string)
- `jobId` (string)

### 403 — Compute is read-only or suspended for this tenant

Content type: `application/json`

- `message` (string)

### 404 — Not Found

Content type: `application/json`

- `message` (string)

### 409 — Conflict

Content type: `application/json`

- `message` (string)
